Summary: a performance monitoring tool for Linux/ia64
Name: pfmon
Version: 3.0
Release: 3
License: GPL
Group: Development/Tools
Buildroot: /var/tmp/pfmon-root
ExclusiveArch: ia64
ExclusiveOS: linux
AutoReqProv: no
Source: ftp://ftp.hpl.hp.com/pub/linux-ia64/%{name}-%{version}.tar.gz
Requires: libpfm
BuildPreReq: elfutils-devel
BuildPreReq: libpfm

%description
This package contains pfmon 3.x, a tool to monitor performance using
the IA-64 Performance Monitor Unit (PMU). Pfmon can monitor
standalone programs or the entire system on both UP and SMP Linux/ia64 systems.
This version supports both the Itanium and Itanium 2 processors. This version
of pfmon requires a kernel perfmon-2.x (found in 2.6 kernels) subsystem to 
function properly.

%prep
%setup -q
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make install DESTDIR=${RPM_BUILD_ROOT}/usr  DESTROOT=/usr PFMROOTDIR=/usr

( cd $RPM_BUILD_ROOT/usr/bin; rm pfmon_gen; ln -s pfmon pfmon_gen )
  
%post
%preun
%postun
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%doc docs/pfmon_usersguide.txt
%doc docs/pfmon_itanium.txt
%doc docs/pfmon_itanium2.txt
%attr(755,root,root) /usr/bin/pfmon
%attr(755,root,root) /usr/bin/pfdbg
%attr(755,root,root) /usr/bin/cycles.sh
%attr(755,root,root) /usr/bin/pfmon_gen

%changelog
* Mon Sep 27 2004 Will Cohen <wcohen@redhat.com>
- Correct spec file for build system.

* Fri Sep 24 2004 Will Cohen <wcohen@redhat.com>
- Correct BuildPreReq

* Tue Dec 2 2003 Stephane Eranian <eranian@hpl.hp.com>
- release 3.0
